Get Row
Retrieve a single row by its ID.
GET
/api/v1/tables/{tableId}/rows/{rowId}Authorization
apiKey X-API-Key<token>
Your Sim API key (personal or workspace). Generate one from the Sim dashboard under Settings > API Keys.
In: header
Path Parameters
tableId*string
The unique identifier of the table.
rowId*string
The unique identifier of the row.
Query Parameters
workspaceId*string
The unique identifier of the workspace.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET \ "https://www.sim.ai/api/v1/tables/{tableId}/rows/{rowId}?workspaceId=YOUR_WORKSPACE_ID" \ -H "X-API-Key: YOUR_API_KEY"{
"success": true,
"data": {
"row": {
"id": "row_abc123",
"data": {
"email": "jane@example.com",
"name": "Jane Doe"
},
"position": 0,
"createdAt": "2026-01-15T10:30:00Z",
"updatedAt": "2026-01-15T10:30:00Z"
}
}
}{
"error": "string",
"details": [
{}
]
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}